## -*- coding: utf-8 -*-
<table id="syslog" class="scroll" cellpadding="0" cellspacing="0"><tr><td></td></tr></table>
<div id="psyslog" class="scroll"></div><br />
<div id="raw_syslog">
    <p><button id="back_to_grid" class="fg-button ui-state-default ui-corner-all" type="submit">${_("Back to grid view")}</button></p>
    <span style="font-family: monospace; white-space: pre-wrap;">${plugin_dict['raw_syslog']}</span>
    <p><button id="back_to_grid" class="fg-button ui-state-default ui-corner-all" type="submit">${_("Back to grid view")}</button></p>
</div>
<script type="text/javascript">
$(document).ready(function(){
    var lastsel;
    $('#raw_syslog').hide();
    jQuery('#syslog').jqGrid({
        url:'/System/syslog_json',
        datatype: "json",
        colNames:[_("Date"), _("Hostname"), _("Facility"), _("Priority"), _("Process"), _("PID"), _("Message")],
        colModel:[
            {name:_("Date"),index:_("Date"), align: 'center', width: 70},
            {name:_("Hostname"),index:_("Hostname"), width: 60},
            {name:_("Facility"),index:_("Facility"), width: 40},
            {name:_("Priority"),index:_("Priority"), width: 40},
            {name:_("Process"),index:_("Process"), width: 50},
            {name:_("PID"),index:_("PID"), align: 'center', width: 30},
            {name:_("Message"),index:_("Message"), width: 200}
        ],
        width: 800,
        height: "100%",
        rowNum:20,
        rowList:[20,50,100],
        multiselect: false,
        toolbar: [true, "top"],
        pager: jQuery('#psyslog'),
        sortname: 'Date',
        viewrecords: true,
        sortorder: "desc",
        editurl: "/System/update_syslog",
        caption: _("System Log")
    }).navGrid("#psyslog",{edit:false,add:false,del:false},{},{},{});
    ToolbarButtonAdd("#t_syslog", {
        title: _("View raw syslog"),
        caption: _("View the raw system log"),
        onClickButton: function() {
            $('#gbox_syslog').fadeOut('slow', function() {
                $('#raw_syslog').fadeIn('slow');
            });
        }
    });
    ToolbarButtonAdd("#t_syslog", {
        title: _("Export this table to a spreadsheet"),
        caption: _("Export to spreadsheet"),
        onClickButton: function() { document.location.href = '/System/get_syslog_spreadsheet' }
    });
    $('#back_to_grid').click(function() {
        $('#raw_syslog').fadeOut('slow', function() {
            $('#gbox_syslog').fadeIn('slow')
        });
    });
});
</script>