## -*- coding: utf-8 -*-
<%
ip_addresses = plugin_dict['interface_stats']['inets']
ipv6_addresses = plugin_dict['interface_stats']['inet6s']
print "bridge: %s" % plugin_dict['bridge']
%>
<table id="status_table" width="100%" align="center">
    <tr>
        <td><strong>State:</strong></td>
        <td>
        %if plugin_dict['interface_stats']['state'] == "DOWN":
            <span style="color: red;">${plugin_dict['interface_stats']['state']}</span>
        %else:
            ${plugin_dict['interface_stats']['state']}
        %endif
        </td>
    </tr>
%if plugin_dict['bridge']:
    <tr valign="top">
        <td><strong>Bridge Interfaces:</strong></td>
        <td>
        %for iface in plugin_dict['bridge']['if_list']:
            ${iface}<br />
        %endfor
        </td>
    </tr>
%endif
%for inet in ip_addresses:
    <tr valign="top">
        <td><strong>IP Address:</strong></td>
        <td>
            ${inet['inet']}<br />
            Broadcast: ${inet['broadcast']}<br />
            Scope: ${inet['scope']}
        </td>
    </tr>
%endfor
%for inet6 in ipv6_addresses:
    <tr valign="top">
        <td><strong>IPv6 Address:</strong></td>
        <td>
            ${inet6['inet6']}<br />
            Scope: ${inet6['scope']}<br />
            Valid Lifetime: ${inet6['valid_lft']}<br />
            Preferred Lifetime: ${inet6['preferred_lft']}
        </td>
    </tr>
%endfor
    <tr>
        <td><strong>MAC:</strong></td><td>${plugin_dict['interface_stats']['mac']}</td>
    </tr>
    <tr>
        <td><strong>MTU:</strong></td><td>${plugin_dict['interface_stats']['mtu']}</td>
    </tr>
    <tr>
        <td><strong>Link:</strong></td><td>${plugin_dict['interface_stats']['link']}</td>
    </tr>
    <tr>
        <td><strong>Queing Discipline:</strong></td><td>${plugin_dict['interface_stats']['qdisc']}</td>
    </tr>
%if plugin_dict['interface_stats']['qlen']:
    <tr>
        <td><strong>Queue Length:</strong></td><td>${plugin_dict['interface_stats']['qlen']}</td>
    </tr>
%endif
%if plugin_dict['interface_stats']['flags']:
    <tr valign="top">
        <td><strong>Flags:</strong></td>
        <td>
        %for flag in plugin_dict['interface_stats']['flags']:
            %if flag == 'NO-CARRIER':
                <span style="color: red;">${flag}</span><br />
            %else:
                ${flag}<br />
            %endif
        %endfor
        </td>
    </tr>
%endif
</table>