## -*- coding: utf-8 -*-
<%inherit file="/plugin_base.mako"/>
<table id="netstat" class="scroll" cellpadding="0" cellspacing="0"><tr><td></td></tr></table>
<div id="pnetstat" class="scroll"></div><br />
<script type="text/javascript">
$(document).ready(function(){
    var lastsel;
    jQuery('#netstat').jqGrid({
        url:'/Status/netstat_json',
        datatype: "json",
        colNames:[_("Protocol"), _("Receive Queue"), _("Send Queue"), _("Local Address"), _("Remote Address"), _("State"), _("PID/Program")],
        colModel:[
            {name:_("Protocol"),index:_("Protocol"), align: 'center', width: 70},
            {name:_("Receive Queue"),index:_("Receive Queue"), width: 60},
            {name:_("Send Queue"),index:_("Send Queue"), width: 40},
            {name:_("Local Address"),index:_("Local Address"), width: 40},
            {name:_("Remote Address"),index:_("Remote Address"), width: 50},
            {name:_("State"),index:_("State"), align: 'center', width: 30},
            {name:_("PID/Program"),index:_("PID/Program"), width: 200}
        ],
        width: 800,
        height: "100%",
        rowNum:20,
        rowList:[20,50,100],
        multiselect: false,
        toolbar: [true, "top"],
        pager: jQuery('#pnetstat'),
        sortname: 'Protocol',
        viewrecords: true,
        sortorder: "desc",
        caption: _("Listening Services")
    }).navGrid("#pnetstat",{edit:false,add:false,del:false},{},{},{});
    ToolbarButtonAdd("#t_netstat", {
        title: _("Export this table to a spreadsheet"),
        caption: _("Export to spreadsheet"),
        onClickButton: function() { document.location.href = '/System/get_netstat_spreadsheet' }
    });
});
</script>