## -*- coding: utf-8 -*-
<div id="new_interface">
    <form id="new_interface_form" method="post" action="/Network/add_interface">
    <table align="center" id="new_interface_table">
        <tr>
            <td style="width: 10em;">${_("Interface Name")}</td>
            <td><input type="text" id="config" name="config" size="18" /></td>
        </tr>
    </table>
    <table id="new_interface_table2" align="center">
        <tr id="select_interface_option">
            <td style="width: 10em;"><select id="new_interface_options" name="options" title="${_('Select an interface option')}">
                <option value="">${_("Add option...")}</option>
        % for option in plugin_dict['validation_dict']['interface'].keys():
            <%
            try:
                option_help = plugin_dict['option_help'][option]['help']
            except:
                option_help = _("No help text available")
            %>
                <option value="${option}">${option} - ${option_help}</option>
        % endfor
                </select>
            </td>
            <td style="width: 13.5em; text-align: right;">
                <button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button>
            </td>
        </tr>
    </table>
    </form>
</div>
<script type="text/javascript">
$(document).ready(function(){
    $('#new_interface_form').ajaxForm({
        target: '#result',
        success: function(responseText) {
            showResult();
            // Note: contains() is from MochiKit.Text
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {
                        reloadTab();
                        rebootRequired();
                    }, 500);
                };
        }
    });
    $("#new_interface_options").selectmenu({
        width: 120,
        menuWidth: 500,
        maxHeight: 300,
        format: optionHelpFormatting
    });
    $("#select_interface_option").change(function(){
        onSelectChange($("#new_interface_options option:selected"), $('#new_interface_table'), '/Network/interface_options_meta', 'interface');
    });
    mandatoryField('/Network/interface_options_meta', $('#new_interface_table'), 'proto', '', 'interface');
    $('#new_interface_form').validate({
        errorPlacement: function(error, element) {
            error.appendTo(element.parent("td").next("td"));
        },
        focusCleanup: true,
        rules: {
    % for index, option in enumerate(plugin_dict['validation_dict']['interface'].keys()):
        % if index < len(plugin_dict['validation_dict']['interface'].keys()) - 1:
            ${option}: {
                required: true,
                remote: "/Network/validate_option?config=network&section=interface"
            },
        % else:
            ${option}: {
                required: true,
                remote: "/Network/validate_option?config=network&section=interface"
            }
        % endif
    % endfor
        }
    });
    jTipReload();
});
</script>