## -*- coding: utf-8 -*-
<form id="syslog_form" method="post" action="/System/update_syslog_conf">
<table id="syslog_table" align="center">
</table>
<p><button class="fg-button ui-state-default ui-corner-all" type="submit">${_("Submit")}</button></p>
</form>
<script type="text/javascript">
    $(document).ready(function(){
        addField('/System/syslog_options_meta', $('#syslog_table'), 'log_size', '${plugin_dict["log_size"]}', 'system');
        addField('/System/syslog_options_meta', $('#syslog_table'), 'log_ip', '${plugin_dict["log_ip"]}', 'system');
        $('#syslog_form').validate({
            errorPlacement: function(error, element) {
                error.appendTo(element.parent("td").next("td"));
            },
            focusCleanup: true,
            rules: {
                log_size: {
                    required: true,
                    remote: "/System/validate_option?config=system&section=system"
                },
                log_ip: {
                    required: false,
                    remote: "/System/validate_option?config=system&section=system"
                }
            }
        });
        $('#syslog_form').ajaxForm({
            target: '#result',
            success: function(responseText) {
                showResult();
                if (contains(_("<strong>Success:</strong>"), responseText)) {
                    setTimeout(function() {
                        rebootRequired();
                    }, 500);
                };
            }
        })
        jTipReload(); //Initialize jTip for great tooltips
    });
</script>