<%
table = plugin_dict['table']
%>
% for chain in plugin_dict['iptables'].tables[table].iterkeys():
<table id="${table}_${chain}" class="scroll" cellpadding="0" cellspacing="0"><tr><td></td></tr></table>
<div id="p${table}_${chain}" class="scroll"></div><br />
% endfor
<script type="text/javascript">
var lastsel;
// TODO: Add a button to display a dialog showing the iptables commands to get the equivalent rule
//       ...I wrote the methods to do that so I might as well take advantage of them!
$(document).ready(function(){
% for chain in plugin_dict['iptables'].tables[table].iterkeys():
    jQuery('#${table}_${chain}').jqGrid({
        url:'/Status/iptables_json?table=${table}&chain=${chain}',
        datatype: "json",
        // Note:  I probably don't need these translated but I might change their names to be more descriptive at some point
        colNames:[_('num'), _('pkts'), _('bytes'), _('target'), _('prot'), _('opt'), _('in'), _('out'), _('source'), _('destination'), _('params')],
        colModel:[
            {name:'num',index:'num', width: 40},
            {name:'pkts',index:'pkts',  width: 50},
            {name:'bytes',index:'bytes',  width: 50},
            {name:'target',index:'target',  width: 50},
            {name:'prot',index:'prot',  width: 30},
            {name:'opt',index:'opt',  width: 40},
            {name:'in',index:'in',  width: 40},
            {name:'out',index:'out',  width: 40},
            {name:'source',index:'source',  width: 80},
            {name:'destination',index:'destination',  width: 80},
            {name:'status_params',index:'status_params',  width: 80}
        ],
        width: "950",
        height: "100%",
//         autowidth: true, // This doesn't work right with tabs
        rowNum:10,
        rowList:[10,20,30],
        multiselect: false,
        toolbar: [true, "top"],
        pager: jQuery('#p${table}_${chain}'),
        sortname: 'num',
        viewrecords: true,
        sortorder: "asc",
        caption: "${chain}",
//         onSelectRow: function(id){
//             if(id && id!==lastsel){
//                 jQuery('#${table}_${chain}').restoreRow(lastsel);
//                 jQuery('#${table}_${chain}').editRow(id,true); lastsel=id;
//             }
//         }
    }).navGrid("#p${table}_${chain}",{edit:false,add:false,del:false},{},{width:350},{});
    ToolbarButtonAdd("#t_${table}_${chain}", {
        title: _("Show or hide columns in this view"),
        caption: _("Show/Hide Columns"),
        onClickButton: function() { jQuery("#${table}_${chain}").setColumns() }
    });
    ToolbarButtonAdd("#t_${table}_${chain}", {
        title: _("Export this table to a spreadsheet"),
        caption: _("Export to spreadsheet"),
        onClickButton: function() { document.location.href = '/Status/get_firewall_spreadsheet?table=${table}&chain=${chain}' }
    });
% endfor
});
</script>