## -*- coding: utf-8 -*-
<%inherit file="/plugin_base.mako"/>
<script type="text/javascript">
// This is a hack to get selection lists into jqGrid without having to make a javascript call
shells="${plugin_dict['shells']}";
</script>
<script type="text/javascript" src="/System/_static?filepath=static/js/users_and_groups.js"></script>
<div id="tabs">
    <ul>
        <li><a href="#tabs-1">${_('Users')}</a></li>
        <li><a href="#tabs-2">${_('Groups')}</a></li>
    </ul>
    <div id="tabs-1">
        <table id="users" class="scroll" cellpadding="0" cellspacing="0"><tr><td></td></tr></table> <div id="pusers" class="scroll" style="text-align:center;"></div> <br />
        <div id="raw_passwd">
            <form id="raw_passwd_form" method="post" action="/System/update_raw_passwd">
            <p><textarea name="passwd" id="passwd" rows="20" cols="80" class="code">${plugin_dict['raw_passwd']}</textarea></p>
            <p><button id="raw_passwd_cancel" class="fg-button ui-state-default ui-corner-all">${_('Cancel')}</button><button class="fg-button ui-state-default ui-corner-all" type="submit">${_('Submit')}</button></p>
            </form>
        </div>
        <div id="raw_shadow">
            <form id="raw_shadow_form" method="post" action="/System/update_raw_shadow">
            <p><textarea name="shadow" id="shadow" rows="20" cols="80" class="code">${plugin_dict['raw_shadow']}</textarea></p>
            <p><button id="raw_shadow_cancel" class="fg-button ui-state-default ui-corner-all">${_('Cancel')}</button><button class="fg-button ui-state-default ui-corner-all" type="submit">${_('Submit')}</button></p>
            </form>
        </div>
        <div id="change_password">
            <form id="change_password_form" method="post" action="/System/change_user_attribute">
            <input id="change_password_user" type="hidden" name="username" value="" />
            <p><input id="password" type="password" name="password" class="required" /></p>
            <p><input id="confirm_password" type="password" name="confirm_password" class="required" /></p>
            </form>
        </div>
        <div id="add_user">
            <form id="add_user_form" method="post" action="/System/add_user">
            <table id="add_user_form_table" border='0' width="100%">
                <tr><td>${_('Username')}:</td><td><input id="add_user_username" type="text" name="username" /></td></tr>
                <tr><td>${_('UID')}:</td><td><input type="text" id="add_user_uid" name="uid" /></td></tr>
                <tr><td>${_('Primary Group')}:</td><td><input type="text" id="add_user_gid" name="gid" /></td></tr>
                <tr><td>${_('Supplemental Groups')}:</td>
                    <td>
                    <select id="groups_select" multiple="multiple" name="groups" title="Select groups">
                    % for group in plugin_dict['groups']:
                        <option>${group}</option>
                    % endfor
                    </select>
                    </td>
                </tr>
                <tr><td>${_('Comment')}:</td><td><input id="add_user_gecos" type="text" name="gecos" /></td></tr>
                <tr><td>${_('Home Directory')}:</td><td><input type="text" id="add_user_homedir" name="homedir" /></td></tr>
                <tr><td>${_('Shell')}:</td>
                <td>
                    <select name="shell">
                    % for shell in plugin_dict['shell_list']:
                        <option>${shell}</option>
                    % endfor
                    </select>
                </td></tr>
            </table>
            </form>
        </div>
    </div>
    <div id="tabs-2">
    <table id="groups" class="scroll" cellpadding="0" cellspacing="0"><tr><td></td></tr></table> <div id="pgroups" class="scroll" style="text-align:center;"></div> <br />
        <div id="raw_group">
            <form id="raw_group_form" method="post" action="/System/update_raw_group">
            <p><textarea name="group" id="group" rows="20" cols="80" class="code">${plugin_dict['raw_group']}</textarea></p>
            <p><button id="raw_group_cancel" class="fg-button ui-state-default ui-corner-all">${_('Cancel')}</button><button class="fg-button ui-state-default ui-corner-all" type="submit">${_('Submit')}</button></p>
            </form>
        </div>
        <div id="add_group">
            <form id="add_group_form" method="post" action="/System/add_group">
            <table id="add_group_form_table" border='0' width="100%">
                <tr><td>${_('Group Name')}:</td><td><input id="add_group_groupname" type="text" name="group" /></td></tr>
                <tr><td>${_('GID')}:</td><td><input type="text" name="gid" /></td></tr>
                <tr><td>${_('Users')}:</td>
                    <td>
                    <select id="users_select" multiple="multiple" name="users" title="Select users">
                    % for user in plugin_dict['user_list']:
                        <option>${user}</option>
                    % endfor
                    </select>
                    </td>
                </tr>
            </table>
            </form>
        </div>
    </div>
</div>
<div class="contextMenu" id="usersContextMenu">
    <ul>
        <li id="pwchange" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-pencil"></div>${_('Change Password')}</li>
        <li id="pwlock" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-locked"></div>${_('Lock Password')}</li>
        <li id="pwunlock" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-unlocked"></div>${_('Unlock Password')}</li>
        <li id="pwdisable" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-key"></div>${_('Disable Password')}</li>
        <li id="delete_user" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-trash"></div>${_('Delete')}</li>
    </ul>
</div>
<div class="contextMenu" id="groupsContextMenu">
    <ul>
        <li id="delete_group" class="ui-state-default ui-corner-all"><div class="ui-icon ui-icon-left ui-icon-trash"></div>${_('Delete')}</li>
    </ul>
</div>